import React from 'react';
import App from './zone_manager/App';
import { USER_ROLES } from './../src/js/common/user-roles';
import { NAMES_OF_TABS } from './../src/js/common/ui-labels';

export default {
    user_role: [USER_ROLES.PROJECT_OPERATIONS_ADMIN, USER_ROLES.PROJECT_SYSTEM_ADMIN],
    tabs: {
        page: '/admin',
        name: NAMES_OF_TABS.ZONE_MANAGEMENT,
        systemName: 'zone_manager',
        dataCy: 'nav_submenu_admin_zone_manager',
        path: '/admin/zone_manager',
    },
    component: () => (<App />),
};
