import React from 'react';
import VehicleTab from './components/VehicleTab';
import Modals from './modals';
import zoneManager from './store/reducers';
import { MODULE } from './common/constants';

import { withReducer } from '../../src/js/components/HOC/withReducer';
import './styles/zone_manager.scss';

function App() {
    return (
        <section>
            <Modals />
            <VehicleTab />
        </section>);
}

export default withReducer(MODULE.ZONE_MANAGER, zoneManager)(App);
