import KeyMirror from 'keymirror';

export const ACTIONS = KeyMirror({
    ZONE_DOWNLOAD_STATUS_LOADED: null,
    ZONE_DOWNLOAD_STATUS_SET: null,
    ZONE_DOWNLOAD_STATUS_CLEAR: null,
    ZONE_DOWNLOAD_TRANSACTION_SET: null,
});

export const MODAL_ACTIONS = KeyMirror({
    OPEN_SYNC_COMPLETE_MODAL: null,
    CLOSE_SYNC_COMPLETE_MODAL: null,
});

export const MODULE = {
    ZONE_MANAGER: 'zoneManager',
};

export const DEFAULT_VALUES = { // todo: check usage
    SELECTED_ROW_COLOR: '#FCE699',
};

export const ZONE_DOWNLOAD_STATUS = {
    SYSTEM: {
        OUTDATED: 'OUTDATED',
        IN_PROCESS: 'IN_PROCESS',
        UPDATED: 'UPDATED',
        OOSYNC: 'OOSYNC',
    },
    DISPLAY: {
        UNRESPONSIVE: 'Unresponsive',
        OUTDATED: 'Outdated',
        IN_PROCESS: 'In progress',
        COMPLETE: 'Complete',
        UPDATED: 'Updated',
        OOSYNC: 'Out of sync',
    },
};

export const NOTIFY_ACTIONS = KeyMirror({
    ZONE_DOWNLOAD_STATUS_CREATED: null,
    ZONE_DOWNLOAD_STATUS_DELETED: null,
    ZONE_DOWNLOAD_TRANSACTION_CREATED: null,
});
