function insertStatusSql() {
    return 'INSERT INTO zone_download_transaction SET ?';
}

function updateStatusSql(sync_requested) {
    return `UPDATE zone_download_status SET sync_requested = ${sync_requested ? 1 : 0} where trackable_uid in (?)`;
}

function getStatusesSql() {
    return 'SELECT * FROM zone_download_status where trackable_uid in (?)';
}

function getTransactionSql() {
    return 'SELECT * FROM zone_download_transaction where project_uid = ? order by created_at desc LIMIT 1';
}

function getValidTrackablesSql() {
    return 'SELECT uid FROM trackable_objects WHERE uid in (?) AND removed_at > NOW() AND project_uid IS NOT NULL;';
}

module.exports = {
    insertStatusSql,
    updateStatusSql,
    getStatusesSql,
    getTransactionSql,
    getValidTrackablesSql,
};
