#!/usr/bin/env bash
RTLS_FRONTEND_PREFIX=/usr/rtls/rtls-frontend

## check current log which ran from root and move it to bak
DATE=$(date +%Y-%m-%d)

if [ -d $RTLS_FRONTEND_PREFIX/server/addons/zone_manager ]; then
  rm -rf $RTLS_FRONTEND_PREFIX/server/addons/zone_manager
fi

if [ -d $RTLS_FRONTEND_PREFIX/client/addons/zone_manager ]; then
  rm -rf $RTLS_FRONTEND_PREFIX/client/addons/zone_manager
fi

cd $RTLS_FRONTEND_PREFIX/client && npm run build:prod

systemctl restart rtls-server

exit 0
