#!/usr/bin/env bash
RTLS_FRONTEND_PREFIX=/usr/rtls/rtls-frontend

# migration calls in server/addons/zone_manager.js on server start

if [ -z "$BETA" ]; then
  echo "Building SiteWise"
  cd $RTLS_FRONTEND_PREFIX/client && npm run build:prod
else
  echo "Building SiteWise Beta Version"
  cd $RTLS_FRONTEND_PREFIX/client && npm run build:beta
fi

systemctl restart rtls-server
