#!/usr/bin/env bash
RTLS_HOME=/usr/rtls
RTLS_FRONTEND_PREFIX=$RTLS_HOME/rtls-frontend

DB_QUERY_MIGRATION="DELETE FROM migrations WHERE name='/20190514111514-zone-addon-migration';"
mysql -u $(cat /usr/rtls/database.json |jq ".prod.user" -r) -p$(cat /usr/rtls/database.json |jq ".prod.password" -r) -D $(cat /usr/rtls/database.json |jq ".prod.database" -r) -e "$DB_QUERY_MIGRATION"

DB_QUERY_MIGRATION="DELETE FROM migrations WHERE name='/20191120153158-add-zone-download-transaction-table';"
mysql -u $(cat /usr/rtls/database.json |jq ".prod.user" -r) -p$(cat /usr/rtls/database.json |jq ".prod.password" -r) -D $(cat /usr/rtls/database.json |jq ".prod.database" -r) -e "$DB_QUERY_MIGRATION"

DB_QUERY="DROP TABLE IF EXISTS zone_download_transaction;"
mysql -u $(cat /usr/rtls/database.json |jq ".prod.user" -r) -p$(cat /usr/rtls/database.json |jq ".prod.password" -r) -D $(cat /usr/rtls/database.json |jq ".prod.database" -r) -e "$DB_QUERY_MIGRATION"
