import { MODAL_ACTIONS } from '../../../common/constants';

const initialState = {
    open: false,
};

const syncComplete = (state = initialState, action) => {
    switch (action.type) {
        case MODAL_ACTIONS.OPEN_SYNC_COMPLETE_MODAL: {
            return {
                open: true,
            };
        }
        case MODAL_ACTIONS.CLOSE_SYNC_COMPLETE_MODAL: {
            return {
                open: false,
            };
        }
        default:
            return state;
    }
};

export default syncComplete;
