const { db } = require('../../../../routes/global');
const SQLGetter = require('./sqls');


class ZoneDownloadRequestRepo {
    static async insertStatus(transaction) {
        return db.queryAsync(SQLGetter.insertStatusSql(), [transaction]);
    }
    static async updateStatus(sync_requested, trackable_uids) {
        return db.queryAsync(SQLGetter.updateStatusSql(sync_requested), [trackable_uids]);
    }
    static async getStatuses(trackable_uids) {
        return db.queryAsync(SQLGetter.getStatusesSql(), [trackable_uids]);
    }
    static async getTransaction(project_uid) {
        return db.queryAsync(SQLGetter.getTransactionSql(), [project_uid]).get(0);
    }
    static async getValidTrackables(tko_uids) {
        return db.queryAsync(SQLGetter.getValidTrackablesSql(), [tko_uids]);
    }
}

module.exports = {
    ZoneDownloadRequestRepo,
};
